<?php

ob_start();

/**
 * Directory Separator
 *
 */
define('SMF_DS', DIRECTORY_SEPARATOR);

/**
 * SMF Root Directory
 *
 */
define('SMF_DIR', dirname(dirname(dirname(realpath(__FILE__)))) . SMF_DS);

/**
 * Include SMF Settings.php file
 *
 */
include(SMF_DIR . 'Settings.php');

/**
 * Include SMF SSI.php file to get access to SMF core functions
 *
 */
include(SMF_DIR . 'SSI.php');

/**
 * SMF Table Prefix
 *
 */
define ('TABLE_PREFIX', $db_prefix);


include_once(dirname(realpath(__FILE__)) . SMF_DS . 'bowob_functions.php');


$bowob_type = request_int('type', -1);

if($bowob_type == 2)
{
  bowob_server_sync();
}
elseif($bowob_type == 3)
{
  bowob_client_sync();
}
elseif($bowob_type == 4)
{
  bowob_redirect_login();
}
elseif($bowob_type == 5)
{
  bowob_redirect_profile();
}

ob_end_flush();
